const Savable = require('./savable');

class Model extends Savable {
    constructor() {
        super();
        
        if (this.constructor === Model) {
            throw new Error("Can't instantiate abstract class!");
        }
    }

    toObject() {
        throw new Error("toObject must be redefined.");
    }
}

module.exports = Model;